#ifndef QTREEITEM_H
#define QTREEITEM_H

// Miscellaneous dimensions

extern int barwidth;

#define TREE_BALLRAD 15			//Radius of RevBall without outline
#define TREE_BALLDIAM TREE_BALLRAD*2
#define TREE_BALLSPACE 45		//Spacing of RevBalls
#define TREE_STRIPEHEIGHT 50	//Height of FileStripes
#define TREE_BARHEIGHT 30		//Height of ChangeBar

#define TREE_ICONWIDTH 26		//Width of side icons
#define TREE_JOBHEIGHT 30		//Minimum height of job bar, if present.
#define TREE_BARWIDTH barwidth	//Minimum canvas width

// Z coordinates of various things - higher numbers on top 
#define TREE_ZSTRIPE 1								//FileStripe
#define TREE_ZSTRIPETEXT 4							//FileText
#define TREE_ZBALL 4								//RevBall
#define TREE_ZBALLTEXT 5							//RevText
#define TREE_ZARROW 3								//Arrow
#define TREE_ZBAR 1									//ChangeBar/JobBar
#define TREE_ZBARTEXT 6								//ChangeNum/JobText

// Colors for various things.

extern int qtrcol;

//Color scheme codes
#define TREE_OLDSKOOL 1
#define TREE_POSTMODN 0

//Color of file stripes.
	//Normal stripe 1
#define TREE_COLSTRIPEA	qtrcol ? "gainsboro"		: "#DCDCDCDCDCDC"
	//Normal stripe 2
#define TREE_COLSTRIPEB	qtrcol ? "beige"			: "#F333F333E22D"
	//"Main" stripe
#define TREE_COLSTRIPEM	qtrcol ? "lightgreen"		: "#F333F33391EB"

//Color of rev balls.
	//Add / branch
#define TREE_COLBALLA	qtrcol ? "whitesmoke"		: "#96C8CC08F333"
	//Edit
#define TREE_COLBALLE	qtrcol ? "gold"				: "#96C8CC08F333"
	//Integ
#define TREE_COLBALLI	qtrcol ? "deepskyblue"		: "#96C8CC08F333"
	//Delete
#define TREE_COLBALLD	qtrcol ? "black"			: "#000000000000"

//Number bars.
	//Changes
#define TREE_COLCBAR	qtrcol ? "gainsboro"		: "#DCDCDCDCDCDC"
	//Jobs
#define TREE_COLJBAR	qtrcol ? "beige"			: "#F333F333E22D"

//Revision arrows.
	//Branch
#define TREE_COLARROWB	qtrcol ? "darkgoldenrod"	: "#800080000666"
	//Copy
#define TREE_COLARROWC	qtrcol ? "darkblue"			: "#066606668000"
	//Ignore
#define TREE_COLARROWI	qtrcol ? "darkgreen"		: "#066680000666"
	//Merge
#define TREE_COLARROWM	qtrcol ? "darkorchid"		: "#066680008000"
	//Edit(impure)
#define TREE_COLARROWE	qtrcol ? "darkred"			: "#800006660666"
	//Same file
#define TREE_COLARROWR	qtrcol ? "black"			: "#000000000000"

// Dimensions of arrows.
#define TREE_ARRWIDTH 6
#define TREE_ARRHEAD  8

// RunTime Type Identification codes
#define RTTI_CHANGE 1666							//QTreeChangeNum
#define RTTI_FILE 1667								//QTreeFileText
#define RTTI_JOB 1668								//QTreeChangeText
#define RTTI_REV 1669								//QTreeRevBall


#endif //QTREEITEM_H
